> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Maintenance Agreement by ID



## OpenAPI

````yaml delete /maintenance-agreements/{id}
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Maintenance Agreements
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /maintenance-agreements/{id}:
    delete:
      tags:
        - Maintenance Agreements
      summary: Delete Maintenance Agreement by ID
      operationId: deleteMaintenanceAgreementsById
      parameters:
        - name: recurring_delete_mode
          in: query
          schema:
            type: string
          description: >-
            optional string


            **acceptable_values:**

            - only_maintenance_agreement,

            - only_jobs,

            - all


            description: query parameter. Defaults to
            only_maintenance_agreement.
          example: <string>
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: false when the request succeeds.
                    example: false
                  response:
                    type: object
              example:
                message: Unauthorized
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Setting Up Maintenance Agreement Automation](https://help.fieldpulse.com/jobs/assets/maintenance-agreement-automation.md)
- [How to Create Maintenance Agreement Reports](https://help.fieldpulse.com/reporting/raw-data/maintenance-agreement-reports.md)
- [How to Create a Maintenance Agreement](https://help.fieldpulse.com/jobs/assets/maintenance-agreements.md)
- [Maintenance Agreements Overview](https://help.fieldpulse.com/jobs/assets/maintenance-agreements-overview.md)
- [Assets & Maintenance](https://help.fieldpulse.com/jobs/assets/index.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.